# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jun 14 17:07:16 2024
# ------------------------------------------------

package:
  name: openssl
  version: 3.0.14
source:
  sha256: eeca035d4dd4e84fc25846d952da6297484afa0650a6f84c682e39df3a4123ca
  url: https://www.openssl.org/source/openssl-3.0.14.tar.gz
build:
  binary_has_prefix_files:
    - lib/libcrypto.a
    - lib/libcrypto.so.3.0
  detect_binary_files_with_prefix: true
  has_prefix_files:
    - bin/c_rehash
    - lib/pkgconfig/libcrypto.pc
    - lib/pkgconfig/libssl.pc
    - lib/pkgconfig/openssl.pc
  no_link: lib/libcrypto.so.3.0
  number: '0'
  run_exports:
    - openssl >=3.0.14,<4.0a0
  string: h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gdbm 1.18 hf59d7a7_4
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - perl 5.34.0 h998d150_2
    - readline 8.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
  run:
    - ca-certificates
    - libgcc-ng >=11.2.0
test:
  commands:
    - touch checksum.txt
    - openssl sha256 checksum.txt
    - openssl ecparam -name prime256v1
    - python -c "import urllib.request; urllib.request.urlopen('https://pypi.org')"
    - pkg-config --print-errors --exact-version "3.0.14" openssl
  requires:
    - pkg-config
    - python 3.8.*
about:
  description: 'OpenSSL is a robust, commercial-grade, full-featured Open Source Toolkit

    for the Transport Layer Security (TLS) protocol formerly known as the

    Secure Sockets Layer (SSL) protocol. The protocol implementation is based

    on a full-strength general purpose cryptographic library, which can also

    be used stand-alone.

    '
  dev_url: https://github.com/openssl/openssl
  doc_url: https://www.openssl.org/docs/man3.0/
  home: https://www.openssl.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: OpenSSL is an open-source implementation of the SSL and TLS protocols
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 8491aab0-83d6-47a1-810b-85a094b7ea1c
  recipe-maintainers:
    - carlodri
    - chenghlee
    - jakirkham
    - jjhelmus
    - msarahan
    - ocefpaf
    - pelson
  remote_url: git@github.com:AnacondaRecipes/openssl-feedstock.git
  sha: 04ca6c3fc46037028a62bc6b11c2e1bdec32f5d1
